/*
 * Color system.
 *
 * There is three main colors :
 * - Primary color affects key components across the UI, such as prominent buttons and active states.
 * - Secondary color affects less prominent components in the UI, such as buttons.
 * - Background color affects containers, such as cards, chips, inputs and the page itself.
 *
 * Each color can have variants. Variants can be darker or lighter.
 *  - "-h1" to "-h5" are variants that follows the theme direction (darker on light, lighter on dark).
 *  - "-d1" to "-d5" are darker variants.
 *  - "-l1" to "-l5" are lighter variants.
 *
 * There is also other utility colors, such as :
 * - Muted color affects aside text of low importance.
 */

/* Light theme */
:root {
  --color-primary: #e7c5c7;
  --color-primary-h1: #e3b4b6;

  --color-secondary: #ddd6d0;
  --color-secondary-h1: #ccc2b8;
  --color-secondary-h2: #b4a697;

  --color-background: #efece9;
  --color-background-d1: #e4dfda;
  --color-background-l1: #f5f4f2;
  --color-background-l2: #fff;
  --color-background-info: #b7ddff;
  --color-background-danger: #ffc4cd;
  --color-on-background: #000;

  --color-border: #888;
  --color-border-muted: #eee;
  --color-border-danger: #ff8fa9;

  --color-muted: #666;

  --color-text-info: #0088ff;
  --color-text-danger: #ff2358;
}

/* Dark theme */
[data-theme="dark"] {
  --color-primary: #6b2737;
  --color-primary-h1: #873145;

  --color-secondary: #444;
  --color-secondary-h1: #555;
  --color-secondary-h2: #666;

  --color-background: #222;
  --color-background-d1: #191919;
  --color-background-l1: #2c2c2c;
  --color-background-l2: #333;
  --color-background-info: #00549a;
  --color-background-danger: #732b35;
  --color-on-background: #fff;

  --color-border: #444;
  --color-border-muted: #555;

  --color-muted: #888;

  --color-text-danger: #ff769a;
}